Last Comment Bug 482578 - top crash [@ nsSubDocumentFrame::Reflow(nsPresContext*, nsHTMLReflowMetrics&, nsHTMLReflowState const&, unsigned int&)]
: top crash [@ nsSubDocumentFrame::Reflow(nsPresContext*, nsHTMLReflowMetrics&,...
Status: RESOLVED FIXED
[sg:critical?] at risk
: crash, fixed1.9.0.12, fixed1.9.1.1, regression, topcrash
Product: Core
Classification: Components
Component: DOM (show other bugs)
: Trunk
: All All
: -- critical (vote)
: mozilla1.9.2a1
Assigned To: Olli Pettay [:smaug]
:
: Andrew Overholt [:overholt]
Mentors:
http://weblog.infoworld.com/enterpris...
: 469366 491498 (view as bug list)
Depends on: 469366 506349
Blocks: 466057 509132
  Show dependency treegraph
 
Reported: 2009-03-10 12:12 PDT by john senchak
Modified: 2015-10-16 11:37 PDT (History)
23 users (show)
samuel.sidler+old: blocking1.9.1.1+
samuel.sidler+old: blocking1.9.0.12+
samuel.sidler+old: wanted1.9.0.x+
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Stacks for the assertions in comment 4 (29.71 KB, text/plain)
2009-03-11 11:12 PDT, Mats Palmgren (:mats)
no flags Details
Crash stack, 1.9.0 debug on MacOSX (14.96 KB, text/plain)
2009-03-11 18:34 PDT, Mats Palmgren (:mats)
no flags Details
log + stacks (mozilla-central OSX, content/base/ mochitests) (123.65 KB, text/html)
2009-03-17 17:29 PDT, Mats Palmgren (:mats)
no flags Details
WIP, fixes the mochitest problem as described in comment 30 (diff -w) (1.53 KB, patch)
2009-03-18 21:35 PDT, Mats Palmgren (:mats)
no flags Details | Diff | Splinter Review
Trunk stack (same in 1.9.0) for existing frame in ContentAppended with STR in comment 17 (target.com) (11.84 KB, text/plain)
2009-03-18 21:40 PDT, Mats Palmgren (:mats)
no flags Details
possible patch (16.45 KB, patch)
2009-06-25 07:26 PDT, Olli Pettay [:smaug]
no flags Details | Diff | Splinter Review
a stack (16.45 KB, patch)
2009-06-25 07:27 PDT, Olli Pettay [:smaug]
no flags Details | Diff | Splinter Review
a stack (7.83 KB, text/plain)
2009-06-25 07:29 PDT, Olli Pettay [:smaug]
no flags Details
+comments (15.87 KB, patch)
2009-06-25 14:03 PDT, Olli Pettay [:smaug]
bzbarsky: review+
jonas: superreview+
samuel.sidler+old: approval1.9.1.1+
dveditz: approval1.9.0.12+
Details | Diff | Splinter Review
for trunk (15.77 KB, text/plain)
2009-06-25 14:19 PDT, Olli Pettay [:smaug]
no flags Details
1.9.1 (15.69 KB, patch)
2009-07-14 03:20 PDT, Olli Pettay [:smaug]
no flags Details | Diff | Splinter Review

Description john senchak 2009-03-10 12:12:33 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.0.7) Gecko/2009021910 Firefox/3.0.7
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.0.7) Gecko/2009021910 Firefox/3.0.7

(source code of page)

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
	         <title>Is IE8 the end of the line for Internet Explorer? |Enterprise Desktop | Randall C. Kennedy | InfoWorld </title>
		
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
		<meta name="date" content="2009-03-10T03:00:00-08:00"/>
<meta name="description" content="Dropping IE in favor of a newer rendering engine may be not be as easy as it seems" />
		
		<style media="all" type="text/css">@import "/script/css/blog.css";</style>
		<link rel="alternate" type="application/rss+xml" title="RSS" href="http://weblog.infoworld.com/enterprisedesktop/rss.xml" />
		<link rel="EditURI" type="application/rsd+xml" title="RSD" href="http://weblog.infoworld.com/enterprisedesktop/rsd.xml" />
		
		<script language="javascript">
			var dcSite = "weblog";
			var dcZone = "/enterprisedesktop/";
			var section = "weblog";
		</script>
		<script type="text/javascript" src="http://www.infoworld.com/script/menu/ie6_menu_hover.js"></script>
<script src="http://www.infoworld.com/script/ads/dc.js" type="text/javascript"></script>
<script src="http://www.infoworld.com/script/tab/ajaxTabs.js" type="text/javascript"></script>
<script language="JavaScript" src="http://www.infoworld.com/script/omniture/s_code.js"></script>
<script language="JavaScript" src="http://www.infoworld.com/script/omniture/omniture_header.js"></script>

		<script language="javascript">
			<!--
			//Omniture Config
			var catType = 'individual';
			var date = '2009-03-10';
			var author='By Randall C. Kennedy';
			var blogName = 'Enterprise Desktop | Randall C. Kennedy'; //blogName
			var category = 'MicrosoftMicrosoftMicrosoftMicrosoftMicrosoftMicrosoft'; //this might not be needed
			var title = 'Is IE8 the end of the line for Internet Explorer?';
			//-->
		</script>
		<script language="JavaScript" src="/script/omniture/weblog.js"></script>
		

<script type="text/javascript">
s.pageName = s.pageName.replace(new RegExp("[^\x20-\x7E]",'g')," ");

if(typeof(pkeys) != 'undefined') {
	if(pkeys.length > 0) {
	        if(s.events.length == 0)
			s.events="event12";
		s.products="pkey;"+pkeys.join(",pkey;");
	}
}
/************* DO NOT ALTER ANYTHING BELOW THIS LINE ! **************/
var s_code=s.t();if(s_code)document.write(s_code)//--></script>
<script type="text/javascript"><!--
if(navigator.appVersion.indexOf('MSIE')>=0)document.write(unescape('%3C')+'\!-'+'-')
//--></script><!--/DO NOT REMOVE/-->

<script language="JavaScript">
        function omnitureTrackClick(moduleName,title, obj) {
        s.prop27 = "LG article slot one - " + moduleName;
	s.prop30 = s.pageName;
        if(moduleName =='article_leadgen_top') {
                s.prop28=title;
        }else{
                s.prop29=title;
        }
        s.linkTrackVars="prop1,prop27,prop28,prop29,prop30";
        s.linkTrackEvents='None';
        s.tl(obj,'o',title);
    }
</script>

	</head>
	<body>
		<div id="container">
			<div id="page">
				<div class="header">
	<!-- BANNER/OTHER ADS -->
	<div style="display:none">	
		


<script language="JavaScript" type="text/javascript">
var ord=Math.random()*10000000000000000;
</script>

<!-- IFW 1x1 TRACKING -->
<img src="http://ad.doubleclick.net/ad/idg.us.info.pixel/ifw;sz=1x1;ord=485711100309?" border="0" height="1" width="1"/>



<!-- PEEL AD (tile=14) -->
<script language="JavaScript" type="text/javascript">
        document.write('<script language="JavaScript" src="http://ad.doubleclick.net/adj/idg.us.info.peelback/;pos=peelback;tile=14;dcopt=ist;sz=1x1;ord=' + ord + '?" type="text/javascript"><\/script>');
</script>
<noscript>
        <a href="http://ad.doubleclick.net/jump/idg.us.info.peelback/;pos=peelback;tile=14;sz=1x1;ord=485711100309?" target="_blank">
                <img src="http://ad.doubleclick.net/ad/idg.us.info.peelback/;pos=peelback;tile=14;sz=1x1;ord=485711100309?" width="1" height="1" border="0" alt="">
        </a>
</noscript>

<!-- PRESTITIAL AD (tile=15) -->
<script language="JavaScript" type="text/javascript">
        document.write('<script language="JavaScript" src="http://ad.doubleclick.net/adj/idg.us.info.prestitial/;pos=interstitial;tile=15;dcopt=ist;sz=1x1;ord=' + ord + '?" type="text/javascript"><\/script>');
</script>
<noscript>
        <a href="http://ad.doubleclick.net/jump/idg.us.info.prestitial/;pos=interstitial;tile=15;sz=1x1;ord=485711100309?" target="_blank">
                <img src="http://ad.doubleclick.net/ad/idg.us.info.prestitial/;pos=interstitial;tile=15;sz=1x1;ord=485711100309?" width="1" height="1" border="0" alt="">
        </a>
</noscript>




	</div><!--end div display:none-->
	<div class="f-left" href="#">	
		<!-- begin ad tag  (728x90) -->
<SCRIPT LANGUAGE="JavaScript">
adCallJS("728","90","leader");
</SCRIPT>
<NOSCRIPT>
  <A HREF="http://ad.doubleclick.net/jump/idg.us.info.general/noscript;pos=leader;tile=1;sz=728x90;ord=123456789?" TARGET="_blank">
  <IMG SRC="http://ad.doubleclick.net/ad/idg.us.info.general/noscript;pos=leader;tile=1;sz=728x90;ord=123456789?" WIDTH="728" HEIGHT="90" BORDER="0" ALT=""></A>
</NOSCRIPT>
<!-- End ad tag -->

	</div>
	
	<!-- NL BOX -->
		<div class="news f-right">
		<p>Free Newsletters</p>
		<form action="http://www.infoworld.com/newsletter/signup/recaptcha-php-1.10/subscribe.php" method="get" style="padding:0px; margin:0px">
			<div class="news-form">
				<label><input type="checkbox" class="check" value="infoworld_todays_headlines" id="list[]" name="list[]" />Today's Headline</label>
				<span style="float: left;"><input type="text" class="text" name="email[]" value="Enter Email Address" onFocus="this.value=''" />&nbsp;&nbsp;<input type="submit" value="Submit" class="blackVrdMed" valign="top" style="font-size: 11px;" /></span>
<!--<input type="checkbox" class="check" name="freeNLTP" id="freeNLTP" CHECKED /> &nbsp;&nbsp; <label><a href="http://www.infoworld.com/about/terms.html" target="_blank">Terms of Service</a> and <a href="http://www.infoworld.com/about/abt_prv.html" target="_blank">Privacy Policy</a></label>-->
			</div><!--end div news-form-->
		</form>
	</div><!--end div news f-left-->


</div><!--end div header-->

<div class="header_bg">
	<!-- LOGIN/SEARCH -->
		<div class="long-box">
		<a class="mainlogo f-left" href="http://www.infoworld.com/">Infoworld</a>

		<div class="login">
		</div><!--end div login-->

		<br />
		<form name="ultraseek" action="http://search.infoworld.com/query.html" accept-charset="iso-8859-1" class="searchbox" size="16" method="GET">
			<div class="search f-right">
				<input type="text"  name="qt" id="search" size="25" value="" maxlength="1991" class="text" />
				<input type="image" src="http://www.infoworld.com/img/blog/search-btn.gif" title="Search" class="button" />
			</div><!--end div search f-right-->
		</form>
	</div><!--end div long-box-->

	
	<!-- NAV MENU -->
		<ul class="menu" id="navigation">
	<li class="nodrop">
	<a href="http://www.infoworld.com/" class="home">HOME</a>   
	</li>
	<li>
	<a href="http://www.infoworld.com/news/">NEWS</a>
	<ul>
	<li><a href="http://www.infoworld.com/news/">Today's Headlines</a></li>
	<li><a href="http://weblog.infoworld.com/daily/">InfoWorld Daily</a></li>
	<li><a href="http://www.infoworld.com/archives/t.jsp?N=s">Special Reports</a></li>
	<li><a href="http://www.infoworld.com/newsletter/subscribe.html">Newsletters</a></li>
	</ul>
	</li>
	<li>
	<a href="http://www.infoworld.com/testcenter/">TEST CENTER</a>
	<ul>
	<li><a href="http://www.infoworld.com/archives/t.jsp?N=t&V=Review">Latest Reviews</a></li>
	<li><a href="http://www.infoworld.com/testcenter/">Review Finder</a></li>
	<li><a href="http://www.infoworld.com/archives/t.jsp?N=p">Top Rated Products</a></li>
	<li><a href="http://weblog.infoworld.com/tcdaily/">Test Center Daily Blog</a></li>
	</ul>
	</li>
	<li>
	<a href="http://www.infoworld.com/techindex/">TECHNOLOGIES</a>
	<ul>
	<li><a href="http://www.infoworld.com/archives/t.jsp?N=i&V=Application%20development">App Dev</a></li>
	<li><a href="http://www.infoworld.com/archives/t.jsp?N=i&V=Applications">Applications</a></li>
	<li><a href="http://www.infoworld.com/topic-center/data-protection/">Data Protection</a></li>
	<li><a href="http://www.infoworld.com/topic-center/green-tech/">Green Tech</a></li>
    <li><a href="http://www.infoworld.com/archives/t.jsp?N=i&V=Hardware">Hardware</a></li>
	<li><a href="http://www.infoworld.com/archives/t.jsp?N=i&V=Networking">Networking</a></li>
    <li><a href="http://www.infoworld.com/archives/t.jsp?N=i&V=Wireless">Mobile</a></li>
	<li><a href="http://www.infoworld.com/topic-center/open-sources/">Open Source</a></li>
    <li><a href="http://www.infoworld.com/archives/t.jsp?N=l&V=Security">Security</a></li>
	<li><a href="http://www.infoworld.com/topic-center/soa/">SOA</a></li>
	<li><a href="http://www.infoworld.com/archives/t.jsp?N=i&V=Storage">Storage</a></li>
	<li><a href="http://www.infoworld.com/topic-center/virtualization/">Virtualization</a></li>    
	</ul>
	</li>
	<li>
	<a href="http://weblog.infoworld.com/">BLOGS</a>
	<ul>
	<li><a href="http://weblog.infoworld.com/robertxcringely/">Cringely: Notes from the Field</a></li>
	<li><a href="http://weblog.infoworld.com/securityadviser/">Grimes: Security Adviser</a></li>
	<li><a href="http://weblog.infoworld.com/stratdev/">Heller: Strategic Developer</a></li>
	<li><a href="http://weblog.infoworld.com/enterprisedesktop/">Kennedy: Enterprise Desktop</a></li>
	<li><a href="http://weblog.infoworld.com/lewis/">Lewis: Advice Line</a></li>
	<li><a href="http://weblog.infoworld.com/fatalexception/">McAllister: Fatal Exception</a></li>
	<li><a href="http://weblog.infoworld.com/openresource/">Rodrigues & Urlocker: Open Sources</a></li>
	<li><a href="http://weblog.infoworld.com/sustainableit/">Samson: Sustainable IT</a></li>
	<li><a href="http://weblog.infoworld.com/realitycheck/">Schwartz: Reality Check</a></li>
	<li><a href="http://weblog.infoworld.com/gripeline/">Tynan-Wood: Gripe Line</a></li>
	<li><a href="http://weblog.infoworld.com/venezia/">Venezia: The Deep End</a></li>
        <li><a href="http://weblog.infoworld.com/whurley/">whurley: Cloud Computing</a></li>
    <li><a href="http://weblog.infoworld.com/yager/">Yager: Ahead of the Curve</a></li>
	<li><a href="http://weblog.infoworld.com/">All InfoWorld Blogs</a></li>
	</ul>
	</li>

	<li>
		<a href="http://www.infoworld.com/video/index.html">AUDIO/VIDEO</a>
		<ul>
			<li><a href="http://www.infoworld.com/video/index.html">Video</a></li>
		    <li><a href="http://www.infoworld.com/ad/adv_wc.html">Webcasts</a></li>
		    <li><a href="http://www.infoworld.com/archives/t.jsp?N=o">Slideshows</a></li>
			<li class="third"><a href="http://www.infoworld.com/weblog/podcasts/new_podcasts_index.html">Podcasts</a>
				<ul>
					<li><a href="http://weblog.infoworld.com/daily/archives/podcast/">InfoWorld Daily</a></li>
					<li><a href="http://weblog.infoworld.com/realworldsoa/archives/podcast/">Real World SOA</a></li>
					<li><a href="http://weblog.infoworld.com/smbit/archives/podcast/">SMB IT</a></li>
					<li><a href="http://weblog.infoworld.com/thestoragenetwork/archives/podcast/">The Storage Network</a></li>
					<li><a href="http://weblog.infoworld.com/virtualization/archives/podcast/">Virtualization Report</a></li>
				</ul>
			</li>			
		</ul>
	</li>
    
	<li>
		<a href="http://www.infoworld.com/event/">EVENTS&nbsp;&nbsp;</a>
		<ul>
		
			<li class="third">
				<a href="http://www.infoworld.com/event/">Virtual Conferences</a>
				<ul>
					<!--<li>
						<a href="http://vts.inxpo.com/scripts/InXpo.nxp?LASCmd=AI:4;F:QS!10100&ShowKey=1418">Cloud Computing</a>
					</li>-->
					<li>
						<a href="http://www.infoworld.com/spotlights/virtual_conferences/enterprise_architecture/index.html">Enterprise Architecture</a>
					</li>
					<li>
						<a href="http://www.infoworld.com/spotlights/virtual_conferences/security_directions/index.html">Security Directions</a>
					</li>
					<li>
						<a href="http://www.infoworld.com/spotlights/virtual_conferences/virtualization_directions/index.html">Virtualization Directions</a>
					</li>
				</ul>
			</li>
			
			<li class="third">
				<a href="http://www.infoworld.com/event/new_economics/">New Economics of IT</a>
				<ul>
					<li>
						<a href="http://www.infoworld.com/event/new_economics/2009_0318_miami.html">Miami, FL</a>
					</li>
					<li>
						<a href="http://www.infoworld.com/event/new_economics/2009_0422_dallas.html">Dallas, TX</a>
					</li>
					<li>
						<a href="http://www.infoworld.com/event/new_economics/2009_0512_chicago.html">Chicago, IL</a>
					</li>
					<li>
						<a href="http://www.infoworld.com/event/new_economics/2009_0603_dc.html">Washington, DC</a>
					</li>
					<li>
						<a href="http://www.infoworld.com/event/new_economics/">See all events</a>
					</li>
				</ul>
			</li>
			<li>
				<a href="http://www.infoworld.com/event/osbc/09/index.html">OSBC&nbsp;&nbsp;</a>
			</li>
			<li>
				<a href="http://www.infoworld.com/event/virtualization/index.html">Virtualization Executive Forum</a>
			</li>
			<li>
		    	<a href="http://www.infoworld.com/events/">Complete Events Calendar</a>
		    </li>			
			
			<!-- <li>
				<a href="http://www.infoworld.com/spotlights/virtual_conferences/enterprise_architecture/index.html">Enterprise Architecture Sep 08</a>
			</li>
			<li>
				<a href="http://www.infoworld.com/spotlights/virtual_conferences/virtualization_directions/index.html">Virtualization Directions Oct 08</a>
			</li>
			<li>
				<a href="http://www.infoworld.com/event/virtualization/index.html">Virtualization Exec Forum Nov 08</a>
			</li>
		    <li>
		    	<a href="http://www.infoworld.com/spotlights/virtual_conferences/security_directions/index.html">Security Directions Dec 08</a>
		    </li>
		    <li>
		    	<a href="http://www.infoworld.com/event/new_economics/">InfoWorld Technology Summits</a>
		    </li>
		    <li>
		    	<a href="http://www.infoworld.com/events/">Complete Events Calendar</a>
		    </li> -->
		</ul>
	</li>
	
	<li>
	<a href="http://www.infoworld.com/awards/">AWARDS</a>
	<ul>
	<li><a href="http://www.infoworld.com/awards/infoworld-100.html">InfoWorld 100</a></li>
	<li><a href="http://www.infoworld.com/awards/CTO-25.html">CTO-25</a></li>
	<li><a href="http://www.infoworld.com/awards/toy.html">Technology of the Year</a></li>
	<li><a href="http://www.infoworld.com/awards/bossies.html">Bossies</a></li>
	<li><a href="http://www.infoworld.com/awards/green-15.html">Green 15</a></li>
	</ul>
	</li>
	<li class="nodrop">
	<a href="http://subscribe.infoworld.com/cgi-win/ifwd.cgi?m=newsletter">NEWSLETTERS</a>
	</li>
	<li >
	<a href="http://www.infoworld.com/ad/sponsored_resources.html">RESOURCES</a>
	<ul>
	<li><a href="http://www.infoworld.com/ad/sponsored_resources.html">IT Resource Guides</a></li>
	<li><a href="http://www.infoworld.com/ad/sponsored_resources.html">Spotlights</a></li>
	<li><a href="http://www.infoworld.com/ad/adv_wc.html">Webcasts</a></li>
	<li><a href="http://www.infoworld.com/whitepapers/prm_whp.html">White Papers</a></li>
	<li><a href="http://www.infoworld.com/winsentinel/">Windows Sentinel</a></li>
	</ul>
	</li>
	<li class="nodrop">
	<a href="http://itjobs.infoworld.com/">IT JOBS</a>
	</li>
	<li class="last nodrop">
	<a href="http://www.infoworld.com/rss/index.html">RSS</a>
	</li>
	</ul>

</div><!--end div header-bg-->	



<div class="content">
	<!-- LEFT COLUMN -->
	<div class="left-box f-left">
		<div class="lhc_items">MORE ENTRIES</div>
		
		<div class="bloghed">
			<ul>
									<li><a href="http://weblog.infoworld.com/enterprisedesktop/archives/2009/03/is_version_8_th.html">Is IE8 the end of the line for Internet Explorer?</a></li>
									<li><a href="http://weblog.infoworld.com/enterprisedesktop/archives/2009/03/appv_46_too_lit.html">App-V 4.6: Too little, too late?</a></li>
									<li><a href="http://weblog.infoworld.com/enterprisedesktop/archives/2009/02/windows_7_the_c.html">Windows 7: The compatibility blame game</a></li>
									<li><a href="http://weblog.infoworld.com/enterprisedesktop/archives/2009/02/windows_7_cutti.html">Windows 7: Cutting corners in the rush to market?</a></li>
									<li><a href="http://weblog.infoworld.com/enterprisedesktop/archives/2009/02/would_vdi_pleas.html">Would VDI please just go away?</a></li>
									<li><a href="http://weblog.infoworld.com/enterprisedesktop/archives/2009/02/windows_7_is_it.html">Windows 7: Is it so hard to say "we're sorry"?</a></li>
									<li><a href="http://weblog.infoworld.com/enterprisedesktop/archives/2009/02/windows_7_pokin.html">Windows 7: Poking holes in Vista's UAC umbrella</a></li>
									<li><a href="http://weblog.infoworld.com/enterprisedesktop/archives/2009/01/appv_medv_and_m.html">APP-V, MED-V, and missed opportunities</a></li>
									<li><a href="http://weblog.infoworld.com/enterprisedesktop/archives/2009/01/whither_windows.html">Whither Windows Vista?</a></li>
									<li><a href="http://weblog.infoworld.com/enterprisedesktop/archives/2009/01/windows_7_beta.html">Windows 7 beta: Unresolved problems</a></li>
				
			</ul>
		</div>

		<div class="ad" align="center">
			<!-- begin ad tag  (160x600) -->
<SCRIPT LANGUAGE="JavaScript">
	adCall("160","600","skyscraper");
</SCRIPT>
<NOSCRIPT>
  <A HREF="http://ad.doubleclick.net/jump/idg.us.info.general/noscript;pos=skyscraper;tile=12;sz=160x600;ord=123456789?" TARGET="_blank">
  <IMG SRC="http://ad.doubleclick.net/ad/idg.us.info.general/noscript;pos=skyscraper;tile=12;sz=160x600;ord=123456789?" WIDTH="160" HEIGHT="600" BORDER="0" ALT=""></A>
</NOSCRIPT>
<!-- End ad tag -->
		</div>
	</div><!--end div left-box f-left-->

	<div class="right f-right">

		<!-- MIDDLE COLUMN -->
		<div class="sub-left f-left">

			<!-- SEARCH REFERRAL BOX -->
			<div id="oneClickTop">
</div>



			<!-- HEADER / TOP TOOL KITS -->

			<div><a href="http://weblog.infoworld.com/enterprisedesktop/"><img src="/enterprisedesktop/header.jpg" /></a></div>
			<div class="blogoptions">			<ul>
				<li><a href="http://weblog.infoworld.com/enterprisedesktop/rss.xml"><img src="http://www.infoworld.com/img/blog/rss.gif" border="0" alt="RSS subscription" align="absmiddle"></a></li>
				<li><a href="http://weblog.infoworld.com/enterprisedesktop/rss.xml">Subscribe</a></li>
				<li>&nbsp;&nbsp;</li>
				<li><a href="http://weblog.infoworld.com/archives/emailPrint.jsp?R=emailThis&A=http://weblog.infoworld.com/enterprisedesktop/archives/2009/03/is_version_8_th.html"><img src="http://images.infoworld.com/img/email.gif" alt="E-mail" border="0" align="absmiddle" hspace="3"></a></li>
				<li><a href="http://weblog.infoworld.com/archives/emailPrint.jsp?R=emailThis&A=http://weblog.infoworld.com/enterprisedesktop/archives/2009/03/is_version_8_th.html">Email</a></li>
				<li>&nbsp;&nbsp;</li>
				<li><a href="http://weblog.infoworld.com/archives/emailPrint.jsp?R=printThis&A=http://weblog.infoworld.com/enterprisedesktop/archives/2009/03/is_version_8_th.html"><img src="http://images.infoworld.com/img/print.gif" alt="Print This" border="0"  align="absmiddle" hspace="3"></a></li>
				<li><a href="http://weblog.infoworld.com/archives/emailPrint.jsp?R=printThis&A=http://weblog.infoworld.com/enterprisedesktop/archives/2009/03/is_version_8_th.html">Print</a></li>
				<li>&nbsp;&nbsp;</li>
				<li><a href="/enterprisedesktop/about.html">Read Randall's Bio
</a></li>
				<li>&nbsp;&nbsp;</li>
				<li><a href="mailto:randall_kennedy&#64;infoworld&#46;com" class="realsmall">Contact Randall Kennedy</a>
</li>
				</ul>
			</div><!--end div blogoptions-->			

			<div class="yellow">
                                <!-- BC Player-->
                                

				<!-- BREADCRUMBS -->
				<a href="http://weblog.infoworld.com/enterprisedesktop/" class="breadcrumb">Enterprise Desktop | Randall C. Kennedy&nbsp;&raquo;</a> 
				Is IE8 the end of the line for Internet Explorer?
				
				<!-- JS KIT -->
				
				<p>
					March 10, 2009&nbsp;|&nbsp;<a href="#postAComment">Comments:&nbsp;(<span class="js-kit-comments-count" path="/enterprisedesktop/21160">0</span>)</a>
				
					<div class="js-kit-rating" view="combo" permalink="http://weblog.infoworld.com/enterprisedesktop/archives/2009/03/is_version_8_th.html" freeze="yes" style="width: 110px; float:right; *margin-top: 10px; padding: 30px 0px 20px 20px; background-image: url(http://www.infoworld.com/img/blog/current_rating.gif);"></div>

					<!-- BLOG HEADLINE -->
					<h1 class="dek">Is IE8 the end of the line for Internet Explorer?</h1>

                    <!--  Dek  -->
                    <h2 class="dek2">Dropping IE in favor of a newer rendering engine may be not be as easy as it seems</h2>

					<!-- TAGS / RELATED CONTENTS -->
					<p class="breadcrumb">
						TAGS: <a href="http://weblog.infoworld.com/enterprisedesktop/archives/cloud_computing/index.html?source=Cloud Computing">Cloud Computing</a>, <a href="http://weblog.infoworld.com/enterprisedesktop/archives/microsoft/index.html?source=Microsoft">Microsoft</a>, <a href="http://weblog.infoworld.com/enterprisedesktop/archives/productivity/index.html?source=Productivity">Productivity</a>, <a href="http://weblog.infoworld.com/enterprisedesktop/archives/windows_7/index.html?source=Windows 7">Windows 7</a>, <a href="http://weblog.infoworld.com/enterprisedesktop/archives/windows_vista/index.html?source=Windows Vista">Windows Vista</a>, <a href="http://weblog.infoworld.com/enterprisedesktop/archives/windows_xp/index.html?source=Windows XP">Windows XP</a><br /></p>

				<!-- BLOG BODY -->
				<div class="post">
				<p>IE8 is the last version of the Internet Explorer Web browser. At least, that's what I'm hearing through the grapevine. It seems that Microsoft is preparing to throw in the towel on its Internet Explorer engine once and for all.</p>
<p>And just what will be its replacement? I’m getting conflicting stories on that one. Some are still claiming that <a href="http://www.appleinsider.com/articles/08/11/06/microsofts_ballmer_considers_using_webkit_within_ie.html" target="_blank">Microsoft will go with WebKit</a>, which, thanks to the popularity of Apple's Safari browser and also Google's Chrome, is rapidly becoming a de facto standard for all non-IE and non-Firefox implementations.</p>
<p>Others insist that that the whole WebKit story is merely a feint and that Microsoft will in fact be adopting a <a href="http://www.jcxp.net/news.php?newsid=2650" target="_blank">brand-new engine</a> coming out of its Microsoft Research division. Dubbed <a href="http://weblog.infoworld.com/fatalexception/archives/2009/02/gazelle_the_bro.html">"Gazelle,"</a> this new engine will supposedly be more secure than Firefox or even Chrome, making copious use of sandboxing to keep its myriad plug-ins isolated and the overall browser process model protected.</p>
<p><b>[ Get the <a href="http://weblog.infoworld.com/fatalexception/archives/2009/02/gazelle_the_bro.html?source=fssr">full scoop on the Gazelle browser technology</a> that may replace Internet Explorer. ]</b></p>
<p>But regardless of which direction Microsoft takes -- WebKit or Gazelle -- it will still have to navigate the treacherous waters of legacy ActiveX support. And as someone who has spent some not-so-quality time developing ActiveX controls in the past, the need to maintain some sort of compatibility layer within any proposed IE replacement is a critical consideration.</p>
<p>For most casual users (i.e., grandma in her den surfing eBay), ActiveX was and is just another annoying <a href="http://www.infoworld.com/article/09/01/02/53TC-ria-rollup_1.html">RIA (rich Internet application) mechanism</a>, one that has increasingly been supplanted by Adobe Flash or various AJAX-based mechanisms. However, for enterprise IT shops with a heavy Microsoft investment, ActiveX has long been an integral part of many in-house applications. </p>
<p>If Microsoft intends to pull the plug on IE after version 8, it will need to articulate a clear legacy migration strategy that allows these shops to preserve their investments in ActiveX controls and resources.</p>
<p>Then there’s the issue of legacy HTML/CSS support. So much of the Web has been tweaked for IE 6.x compatibility that even Microsoft's own attempts to implement a more standards-compliant browser engine in IE8 have met with disastrous results. For me, the situation so bad that when I do find myself using IE 8 (typically, to view a site that causes my copy of the Chrome 2.x beta release to blow up), I end up configuring IE 8's compatibility mode as the default viewing option since the browser's native rendering mode breaks practically every site I visit.</p>
<p>Finally, there's the matter of third-party developers using IE's rendering engine with their own applications. A good example would be a program that includes a help file in HTML format and then uses a custom form to display an embedded Web browser object to host the file. This embedded object is invariably an ActiveX container for the IE engine that's installed with Windows, so any attempt to remove IE from the OS -- or to radically change its core underpinnings -- will need to account for applications that rely on the existence of an accessible, programmable IE object model.</p>
<p>Of course, all of the above is old hat for Microsoft, a company whose status as global software leader too often makes it a victim of its own success. I, for one, look forward to the possibility of a clean break with IE's creaky old rendering engine. But I hope the company pays more care and attention to preserving legacy compatibility than it did with some of its more recent OS efforts.</p>
				<a name="more"></a>

				<p>Posted by Randall C. Kennedy on March 10, 2009 03:00 AM</p>
				<br  />                   
				</div>
				<!-- END BLOG BODY-->

				<!-- RATING WIDGET -->    
				<strong style="float: left;">RATE THIS ARTICLE:</strong><br /><br />
				<div class="js-kit-rating" view="split" style="float: left; margin-top: 15px; padding-left: 130px;" permalink="http://weblog.infoworld.com/enterprisedesktop/archives/2009/03/is_version_8_th.html"></div>
				<script src="http://js-kit.com/ratings.js"></script><br  /><br  />   
<!-- begin digg it widget -->
                <span class="f-right" style="margin-top: -65px;">
		<script type="text/javascript">
		digg_url = 'http://weblog.infoworld.com/enterprisedesktop/archives/2009/03/is_version_8_th.html';
		digg_title = 'Is IE8 the end of the line for Internet Explorer?';
		digg_bodytext = 'Dropping IE in favor of a newer rendering engine may be not be as easy as it seems';
		digg_topic = 'tech_news';
		digg_media = 'news';
		digg_window = 'new';		
		</script>
		    <script src="http://digg.com/tools/diggthis.js" type="text/javascript"></script>                     
                </span>
                <!-- end digg it widget -->
                    
                    <br  /><br  />   
				<!-- BOT TOOL KITS -->

				<div class="lowerblogoptions">
					<ul>
						<li><a href="http://weblog.infoworld.com/enterprisedesktop//rss.xml"><img src="http://www.infoworld.com/img/blog/rss.gif" border="0" alt="RSS subscription" align="absmiddle"></a></li>
						<li><a href="http://weblog.infoworld.com/enterprisedesktop//rss.xml">Subscribe</a></li>
						<li>&nbsp;&nbsp;</li>
						<li><a href="http://weblog.infoworld.com/archives/emailPrint.jsp?R=emailThis&A=http://weblog.infoworld.com/enterprisedesktop/archives/2009/03/is_version_8_th.html"><img src="http://images.infoworld.com/img/email.gif" alt="E-mail" border="0" align="absmiddle" hspace="3"></a></li>
						<li><a href="http://weblog.infoworld.com/archives/emailPrint.jsp?R=emailThis&A=http://weblog.infoworld.com/enterprisedesktop/archives/2009/03/is_version_8_th.html">Email</a></li>
						<li>&nbsp;&nbsp;</li>
						<li><a href="http://weblog.infoworld.com/archives/emailPrint.jsp?R=printThis&A=http://weblog.infoworld.com/enterprisedesktop/archives/2009/03/is_version_8_th.html"><img src="http://images.infoworld.com/img/print.gif" alt="Print This" border="0"  align="absmiddle" hspace="3"></a></li>
						<li><a href="http://weblog.infoworld.com/archives/emailPrint.jsp?R=printThis&A=http://weblog.infoworld.com/enterprisedesktop/archives/2009/03/is_version_8_th.html">Print</a></li>
						<li>&nbsp;&nbsp;</li>
						<li><a href="http://slashdot.org/submit.pl"><img src="http://www.infoworld.com/img/icon/sd.gif" align="absmiddle"></a></li>
						<li><a href="http://slashdot.org/submit.pl">Slashdot</a></li>
					</ul>
					<ul>
						<li><a href="http://reddit.com/submit?url=http://weblog.infoworld.com/enterprisedesktop/archives/2009/03/is_version_8_th.html"><img src="http://www.infoworld.com/img/icon/re.gif" align="absmiddle"></a></li>
						<li><a href="http://reddit.com/submit?url=http://weblog.infoworld.com/enterprisedesktop/archives/2009/03/is_version_8_th.html">reddit</a></li>
						<li>&nbsp;&nbsp;</li>
						<li><a href="http://digg.com/submit?phase=2&url=http://weblog.infoworld.com/enterprisedesktop/archives/2009/03/is_version_8_th.html"><img src="http://www.infoworld.com/img/icon/dg.gif" align="absmiddle" hspace="3"></a></li>
						<li><a href="http://digg.com/submit?phase=2&url=http://weblog.infoworld.com/enterprisedesktop/archives/2009/03/is_version_8_th.html">Digg</a></li>
						<li>&nbsp;&nbsp;</li>
						<li><a href="http://del.icio.us/post?url=http://weblog.infoworld.com/enterprisedesktop/archives/2009/03/is_version_8_th.html"><img src="http://www.infoworld.com/img/icon/del.gif" align="absmiddle" hspace="3"></a></li>
						<li><a href="http://del.icio.us/post?url=http://weblog.infoworld.com/enterprisedesktop/archives/2009/03/is_version_8_th.html">De.li.cio.us</a></li>
						<li>&nbsp;&nbsp;</li>
						<li><a href="http://www.stumbleupon.com/submit?url=http://weblog.infoworld.com/enterprisedesktop/archives/2009/03/is_version_8_th.html"><img border=0 src="http://www.infoworld.com/img/blog/stumbleit.gif" alt="StumbleUpon Toolbar"></a></li>
						<li><a href="http://www.stumbleupon.com/submit?url=http://weblog.infoworld.com/enterprisedesktop/archives/2009/03/is_version_8_th.html">Stumble It!</a></li>
						<li>&nbsp;&nbsp;</li>
						<li><a href="http://www.newsvine.com/_tools/seed&save?u=http://weblog.infoworld.com/enterprisedesktop/archives/2009/03/is_version_8_th.html"><img src="http://www.infoworld.com/img/icon/nv.gif" align="absmiddle" hspace="3"></a></li>
						<li><a href="http://www.newsvine.com/_tools/seed&save?u=http://weblog.infoworld.com/enterprisedesktop/archives/2009/03/is_version_8_th.html">newsvine</a></li>
					</ul>
				</div><!-- end div lowerblogoptions-->
				<div><p>&nbsp;</p></div> 

				<!-- comments section -->                  

				<a name="postAComment"></a>
				<div class="commented">
				<center>
				<ul style="text-align: left;">
				<li>&nbsp;<img src="http://www.infoworld.com/img/blog/lg_arrow.gif" align="absmiddle" /></li>
				<li>COMMENTS</li>
				</ul>
				</center>
				</div><!--end div commented-->

				<div style="border: 1px solid #CCCCCC; border-top: none; padding: 0px 10px 10px 10px; width: 415px; background: #f8f8f8;">

				<br />

				<!-- js kit comments widget -->

				<div class="js-kit-comments" backwards="yes" path="/enterprisedesktop/21160" permalink="http://weblog.infoworld.com/enterprisedesktop/archives/2009/03/is_version_8_th.html" standalone="yes" label="<img src='http://www.infoworld.com/img/blog/btn_postComment.gif' border='0'>" style="display: none">

				<!-- Template for a single comment entry. This template is optional -->
				<div class="js-singleComment" style="padding: 5px 10px 10px 5px; margin-top: 10px; background: #ffffff;">

				<br />

				<!-- Add Avatar -->
				<div class="js-singleCommentAvatar" style="margin-top: -10px; width: 50px; height: 50px;"></div>

				<ul class="js-singleCommentINFO" style="float: left; margin: 0px; padding: 0px; list-style-type: none; list-style-image: none; background: #FFFFFF; font-family: helvetica, arial, times new roman; font-size: 12px; color: #000000;">
				<li class="js-singleCommentName" style="display: inline; padding-left: 10px; padding-bottom: 10px; font-weight: bold;">{Name}</li>
				<li class="js-singleCommentDate" style="display: inline; padding-left: 10px; padding-bottom: 10px; font-family: helvetica, arial, times new roman; font-size: 12px; color: #000000;">{Date}</li>
				<li class="js-singleCommentDate" style="display: inline; padding-left: 10px; padding-bottom: 10px; font-family: helvetica, arial, times new roman; font-size: 12px; color: #000000;">{Time}</li>
				</ul>

				<!-- end comment information -->


				<div class="js-singleCommentBg" style="padding: 5px 10px; line-height: 1.4em; font-family: helvetica, arial, times new roman; font-size: 12px; clear: left;">


				<br />

				<div class="js-singleCommentText" style="float: left;">{Text}</div>
				<div style="clear: both"></div>

				<br />

				<ul class="js-singleCommentControls" style="float: right; margin: 0px; padding: 0px; list-style-type: none; list-style-image: none;">

				<li class="js-singleCommentReplyable" style="display: inline; padding: 5px 2.5px; border: 1px solid #CCCCCC; background: #f8f8f8;">
				<a class="js-singleCommentReply">{Label:reply}</a>
				</li>

				<li class="js-singleCommentDeletable" style="display: inline; padding: 5px 2.5px; border: 1px solid #CCCCCC; background: #f8f8f8;">
				<a class="js-singleCommentDelete">{Label:delete}</a>
				</li>

				</ul>


				<br />

				<!-- end comment controls -->

				</div>

				<!-- end single comment background -->



				</div>

				<!-- end single comment -->

				<!-- Template for a "Create a comment" dialog. This template is optional -->
				<div class="js-CreateComment">
				<div class="js-CreateCommentBg" style="padding: 5px 10px 10px 5px; margin-top: 10px; background: #ffffff; width: 380px; line-height: 1.4em;">

				<div class="js-commentFieldSubject">{Label:leaveComment}</div>
				<div class="js-commentFieldLabel">{Label:nameLabel}</div>
				<div style="padding-bottom: 5px;"><input name="js-CmtName" /></div>

				<div class="js-commentFieldLabel">{Label:emailLabel}
				<div class="js-commentFieldNote">{Label:emailNote}</div>
				</div>
				<div style="padding-bottom: 5px;"><input name="js-CmtEmail" type="email" /></div>
				<div class="js-commentFieldLabel">{Label:commentLabel}</div>
				<div style="padding-bottom: 10px; width: 370px;"><textarea name="js-CmtText" rows="10"></textarea></div>
				<div class="js-commentAvatarArea"></div>



				<div><input type="image" src="http://www.infoworld.com/img/blog/btn_post.gif" name="js-Cmtsubmit">
				<input type="image" name="js-Cmtcancel" src="http://www.infoworld.com/img/blog/btn_cancelComment.gif"></div>
				</div><br clear="all" /></div>

				</div>

				<script src="http://js-kit.com/comments.js"></script>
				<br /><hr><br />				
    


				<hr>

				</div>

				<!-- end border -->

			</div><!--end div yellow-->

		</div><!--end div sub-left f-left-->

		<!-- RIGHT COLUMN -->	
		<div class="sub-right f-right">
			<!-- Place code here to show up at the top of the right column -->
<!-- Drop player code below -->

<!--


<table valign="top" style="border: 1px solid #999999; background: #FFFFFF; width: 328px; height: 280px; margin-top: 2px;">
<tr>
<td align="center">




<img src="http://ad.doubleclick.net/ad/idg.us.info.video/infoclipzsoa;sz=1x1;ord=200301151450?"/>

<script language="javascript" type="text/javascript" src="http://www.infoworld.com/script/video/ufo.js"></script>
<div id="flvplayer" style="background:http://www.infoworld.com/img/video/vid_bgd_top.gif; float:left;">
<p style="visibility: visible;" id="player957"></p>
<script type="text/javascript">

var sponsorDCZone = "?clickTAG=videoType=InfoClipz;videoId=663;videoTitle=InfoClipz: Service-Oriented Architecture;videoTag=SOA;videoAd=idg.us.info.video/infoclipzsoa";
var FU = {      movie:"http://www.infoworld.com/script/video/flvplayer.swf" + sponsorDCZone,width:"320",height:"260",majorversion:"7",build:"0",bgcolor:"#000000",flashvars:"file=http://www.infoworld.com/ad/videoSponsorXML/663-243.xml&displayheight=240&autostart=true&volume=0&width=320&height=300&repeat=false&autoscroll=false&shuffle=false&showdigits=true&bufferlength=8&lightcolor=0x800000&backcolor=0xFFFFFF&frontcolor=0x000000" };
UFO.create(     FU, "player957");


</script>
</td>
</tr>
</table>

<br />

-->
<br>
</a>


						<!--include virtual="/SSI/article/rhc_editor_pick.html"-->
                        <div class="sign">
                                <div class="sign-top">&nbsp;</div>
                                <div class="sign-cnt">
                                        <p class="black">TOP STORIES</p>
                                        <ul>
                                                <li><a href="http://www.infoworld.com/article/09/03/10/Jive_refines_corporate_social_networking_tools_1.html">Jive refines corporate social networking tools</a></li>
<li><a href="http://www.infoworld.com/article/09/03/10/Suns_Rock_processor_on_track_for_this_year_1.html">Sun's Rock processor on track for this year</a></li>
<li><a href="http://www.infoworld.com/article/09/03/10/Microsoft_cuts_software_leasing_costs_to_retain_companies_1.html">MS cuts software leasing costs to retain companies</a></li>
<li><a href="http://www.infoworld.com/article/09/03/10/SaaS_app_that's_free_unless_it_delivers_value_1.html">A SaaS app that's free unless it delivers value</a></li>
<li><a href="http://www.infoworld.com/article/09/03/10/Report_Apple_to_launch_Snow_Leopard_OS_June_8_1.html">Report: Apple to launch Snow Leopard June 8</a></li>



                                        </ul>
                                </div>
                                <div class="sign-btm">&nbsp;</div>
                        </div>
			<!-- TOP IMU -->
			<div align="center">
				<!-- begin 336x280,336x600 ad tag -->
<script language="JavaScript" type="text/javascript">
	adCallJS("336","280","imu");
</script>
<noscript>
<a href="http://ad.doubleclick.net/jump/idg.us.info.general/index;pos=imu;tile=6;sz=336x280,336x600;ord=123456789?" target="_blank">
<img src="http://ad.doubleclick.net/ad/idg.us.info.general/index;pos=imu;tile=6;sz=336x280,336x600;ord=123456789?" width="336" border="0" alt="">
</a>
</noscript>
<!-- End ad tag -->

<br clear="all">

			</div>

						<!-- RESOURCES BOX -->
			<br />
			<div class="resources">
				<div class="resources-top">&nbsp;</div>
				<div class="resources-cnt">
					<p class="black">ADDITIONAL RESOURCES</p>

					
					<!-- Webcasts -->
<ul>
<li><img src="http://www.infoworld.com/img/blog/webcast_bar.gif" align="absmiddle" /><br /></li>
<li><a href="http://www.accelacomm.com/jlp/sponsoredresources/13/50116209/&ord=195307">Virtual Machines: Sun's xVM Virtualization Portfolio</a></li>
<li><a href="http://www.accelacomm.com/jlp/ifwsponsoredresources/11/50080382/">Migrating to Vista</a></li>
<li><a href="http://w.on24.com/r.htm?e=120110&s=1&k=FFF4591F9147AA35D99B2000E4CC665D&partnerref=ifw">Turning Information Into A Competitive Advantage</a></li>
<li><br /></li>
</ul>
<!-- White Papers -->
<ul>
<li><img src="http://www.infoworld.com/img/blog/white_papers_bar.gif" align="absmiddle" /><br /></li>
<li><a href="http://www.accelacomm.com/jlp/ifwsponsoredresources/11/50080382/">Moving to Windows Vista: The Promise, The Reality</a></li>
<li><a href="http://www.accelacomm.com/jlp/sponsoredresources/13/50094731/&ord=6186562">Accelerating Virtualized Environments</a></li>
<li><a href="http://www.accelacomm.com/jlp/sponsoredresources/13/50112956/&ord=1462505">Speeding Business Innovation with Data Center Transformation</a></li>
<li><br /></li>
</ul>
<!-- InfoWorld Reports -->
<ul>
<li><img src="http://www.infoworld.com/img/blog/ifw_reports.gif" align="absmiddle" /><br /></li>
<li><a href="http://www.accelacomm.com/jlp/sponsoredresources/13/50116502/&ord=3854223">Protection for Remote Sites and Branch Offices</a></li>
<li><a href="http://www.accelacomm.com/jlp/sponsoredresources/13/80400210/&ord=2109587">WAN Emulation Sponsored Solutions Guide</a></li>
<li><a href="http://www.accelacomm.com/jlp/sponsoredresources/13/50031637/&ord=7947716">Planning For A Disaster</a></li>
<li><br /></li>
</ul>

					

					<!-- Resource Alerts -->

					<p class="black">&nbsp;</p>

					<ul style="padding: 0px 10px;">
					<li><br /></li>
					<li class="alerts">RESOURCE ALERTS<br /></li>
					<li><a href="http://www.accelacomm.com/jlp/blogs/13/80202791/ ">Receive instant email notification when resources like these become available</a>.</li>
					<li><br /></li>
					<li><a href="http://www.accelacomm.com/jlp/blogs/13/80202791/ "><input type="image" BORDER=0 title="Resource Alert" alt="Resource Alert" src="http://www.infoworld.com/img/blog/sign-up_btn.gif" name="resource_alert" align="absmiddle" /></a></li>
					</ul>
				</div><!--end div resources-cnt-->
				
				<div class="resources-btm">&nbsp;</div><!--end div resources-btm-->
			</div><!--end div resources-->


			<!-- BOT IMU -->
			<br />
			<div align="center">
				<!-- begin 336x280,336x600 ad tag -->
<script language="JavaScript" type="text/javascript">
        adCall("336","280","imubottom");
</script>
<noscript>
<a href="http://ad.doubleclick.net/jump/idg.us.info.general/index;pos=imubottom;tile=14;sz=336x280,336x600;ord=123456789?" target="_blank">
<img src="http://ad.doubleclick.net/ad/idg.us.info.general/index;pos=imubottom;tile=14;sz=336x280,336x600;ord=123456789?" width="336" border="0" alt="">
</a>
</noscript>
<!-- End ad tag -->


			</div>
            
            <div align="center">
            	<!--include virtual="/SSI/blogTemplate/ifw_podcast.html"-->
            </div>
            <br />
            <!--end div imu ad-->
            <div class="sign">
	<div class="sign-top">&nbsp;</div>
		<div class="sign-cnt">
			<p class="black">IT JOBS</p>
			<!--<li><a href="http://itjobs.infoworld.com/jt/jobs/addedit_alert.php">Get Job Alerts</a></li>-->
			<script type="text/javascript" src="http://itjobs.infoworld.com/feeds/jobroll/?num_jobs=5&num_featured_jobs=1&subtype=infoworld_one&open_links_in_top_window=1&display_method=default&version=2.0"></script>
			<!--<div><span style="color: rgb(156, 0, 5);">»</span> <b><a href="http://itjobs.infoworld.com/">Search Jobs</a></b></div>-->
			<div id="jobs-search-field">
				<form action="http://itjobs.infoworld.com/jt/jobs/search.php" method="get">
					<input name="search_string" size="15" maxlength="255" class="input_text" type="text">
					<input name="country_code" value="us" type="hidden">
					<input name="distance" value="20" type="hidden">
					<input name="search" value="1" type="hidden">
					<input name="go" value="Find Jobs" class="input_button" type="submit">
				</form>
			</div>
		</div>
	<div class="sign-btm">&nbsp;</div>
</div> 
		</div><!--end div sub-right f-right-->

	</div><!--end div right f-right-->

</div><!--end div content-->



				<!-- BOT BANNER -->
<div class="bot-ban f-left">
	<!-- begin ad tag  (728x90) -->
<SCRIPT LANGUAGE="JavaScript">
	adCall("728","90","leaderbottom");
</SCRIPT>
<NOSCRIPT>
  <A HREF="http://ad.doubleclick.net/jump/idg.us.info.general/noscript;pos=leaderbottom;tile=7;sz=728x90;ord=123456789?" TARGET="_blank">
  <IMG SRC="http://ad.doubleclick.net/ad/idg.us.info.general/noscript;pos=leaderbottom;tile=7;sz=728x90;ord=123456789?" WIDTH="728" HEIGHT="90" BORDER="0" ALT=""></A>
</NOSCRIPT>
<!-- End ad tag -->

</div>

<!-- WHITE PAPERS -->
<div class="bottom f-left">
	<div class="bottom-l f-left">
		<style type="text/css">
.topic_alert {width: 50px; background: transparent;}
.topic_alert ul {float: left; margin: 0px; padding: 0px; list-style-type: none;}
.topic_alert ul li {margin-left: 30px; margin-right: 8px; font: 10px;}
</style>

<table style="border: 1px solid rgb(204, 204, 204);" align="center" bgcolor="#f5f5f5" border="0" cellpadding="8" cellspacing="0" width="1000">
<tbody><tr><td valign="top" width="48%"><h2 class="artText">Technology White Papers</h2></td><td>&nbsp;</td><td valign="top" width="50%"><h2 class="artText">InfoWorld Technology Marketplace</h2></td></tr>
<tr><td valign="top">
<ul style="padding-left: 20px; font-size: 11px;">


<li><a target="_new" href="http://www.accelacomm.com/jaw/ifw/46/50298817/" rel="nofollow">
Increasing ROI and Reducing the Risks of Your Application Portfolio</a> - Application Portfolio Management (APM) is all about minimizing risks and maximizing rewards of an organization&#226;&#128;&#8482;s...
</li>

<li><a target="_new" href="http://www.accelacomm.com/jaw/ifw/46/50298822/" rel="nofollow">
A New Breed of Data Warehouse</a> - Because enterprise data warehouses are evolving along different dimensions, organizations need to effectively manage metadata...
</li>

<li><a target="_new" href="http://www.accelacomm.com/jaw/ifw/46/50298830/" rel="nofollow">
The Critical Role of Content Management in Delivering Business Services</a> - Business runs on content and that content must be managed holistically, across the entire business. However, managing content...
</li>

<li><a target="_new" href="http://www.accelacomm.com/jlp/ifwlp/13/50126027/" rel="nofollow">
The Social Enterprise: Using Social Enterprise Applications to Enable the Next Wave of Knowledge Worker Productivity</a> - (Source: Oracle)  The next generation of collaborative work will be defined by the shift from information handling to interaction...
</li>

<li><a target="_new" href="https://www.accelacomm.com/jlp/ifw_lp/13/50254469/" rel="nofollow">
Forrester Wave - Actional Ranked W1</a> - To assess the state of the standalone SOA management solutions market and see how the vendors stack up against each other...
</li>

<li><a target="_new" href="https://www.accelacomm.com/jlp/ifw_lp/13/50254525/" rel="nofollow">
Actional Assessment Guide</a> - Use this guide to assess risk factors and gauge your applications' effectiveness in supporting revenue growth, customer ...
</li>



</ul>

<h2 class="blackVrdMed">
<font color="#9c0005">&#187;</font> <a href="http://www.infoworld.com/whitepapers/prm_whp.html">Technology White Papers Library</a><br><br>
</h2>

<table border="0" cellpadding="0" cellspacing="0">
<tbody><tr>
<td valign="top"><h2 class="artText">Technology White Papers by Topic</h2></td>
<td style="width: 30px;"></td>
<td><h2 class="artText">Technology White Papers E-mail Alert</h2></td>
</tr>
</tbody></table>


<table style="width: 440px; margin-left: -20px;">
<tbody><tr>
<td style="width: 70px;" valign="top" class="topic_alert">
<ul><li><span style="color: #ce181f;">&#x00bb;</span>&nbsp;&nbsp;<a href="/archives/t.jsp?N=w&V=1">Application development</a></li><li><span style="color: #ce181f;">&#x00bb;</span>&nbsp;&nbsp;<a href="/archives/t.jsp?N=w&V=2">Applications</a></li><li><span style="color: #ce181f;">&#x00bb;</span>&nbsp;&nbsp;<a href="/archives/t.jsp?N=w&V=3">Business</a></li><li><span style="color: #ce181f;">&#x00bb;</span>&nbsp;&nbsp;<a href="/archives/t.jsp?N=w&V=21">Data Protection</a></li><li><span style="color: #ce181f;">&#x00bb;</span>&nbsp;&nbsp;<a href="/archives/t.jsp?N=w&V=4">Data management</a></li><li><span style="color: #ce181f;">&#x00bb;</span>&nbsp;&nbsp;<a href="/archives/t.jsp?N=w&V=5">Hardware</a></li></ul>
</td>

<td align="left" valign="top" class="topic_alert">

<ul><li><span style="color: #ce181f;">&#x00bb;</span>&nbsp;&nbsp;<a href="/archives/t.jsp?N=w&V=25">Mobile</a></li><li><span style="color: #ce181f;">&#x00bb;</span>&nbsp;&nbsp;<a href="/archives/t.jsp?N=w&V=6">Networking</a></li><li><span style="color: #ce181f;">&#x00bb;</span>&nbsp;&nbsp;<a href="/archives/t.jsp?N=w&V=9">Security</a></li><li><span style="color: #ce181f;">&#x00bb;</span>&nbsp;&nbsp;<a href="/archives/t.jsp?N=w&V=11">Storage</a></li><li><span style="color: #ce181f;">&#x00bb;</span>&nbsp;&nbsp;<a href="/archives/t.jsp?N=w&V=12">Telecom</a></li><li><span style="color: #ce181f;">&#x00bb;</span>&nbsp;&nbsp;<a href="/archives/t.jsp?N=w&V=31">Virtualization</a></li><li><span style="color: #ce181f;">&#x00bb;</span>&nbsp;&nbsp;<a href="/archives/t.jsp?N=w&V=14">Wireless</a></li></ul>

</td>

<td valign="top" width="280">


<a href="http://www.accelacomm.com/jlp/blogs/13/80202791/%20">Receive instant email notification when resources on this topic become available.</a>
<a href="http://www.accelacomm.com/jlp/blogs/13/80202791/%20">
<input title="Resource Alert" alt="Resource Alert" src="http://images.infoworld.com/img/blog/sign-up_btn.gif" name="resource_alert" align="absmiddle" border="0" type="image">
</a>

</td>
</tr>

</tbody></table>

</td>
<td>&nbsp;</td>
<td valign="top" width="49%">


<ul style="padding-left: 20px; font-size: 11px;">

<script type="text/javascript" src="http://jlinks.industrybrains.com/jsct?sid=758&ct=INFOWORLD_ROS&tr=MARKETPLACE&num=5&layt=1&fmt=simp"></script>


</ul><font color="#9c0005">&#187;</font> <a target="_new" href="http://www.industrybrains.com">BUY A LINK NOW</a><br></td>
</tr>
</tbody></table><br>




	</div><!--end div bottom-l f-left-->
</div><!--end div bottom f-left-->

<!-- SPONSOR LINKS -->
<div class="sponsorship">
	<p class="alerts"><strong>Sponsored Technology Links</strong></p>

	<span class="f-left">
		<ul>
			<li><!--impression:--><a target="_new" href="http://ad.doubleclick.net/clk;212632942;7406810;a?http://www.redhat.com/dell/?sc_cid=70160000000HjTEAA0" rel="nofollow">Simplify your IT. Migrate to JBoss on Dell. - </a></li><li><!--impression:--><a target="_new" href="http://ad.doubleclick.net/clk;211471579;7406810;g?http://ad.doubleclick.net/clk;211424300;32978577;e?http://info.vmware.com/content/5531_reg_short?src=LG_09Q1_NOVL_REPF_SAP_INFOWORLD_INFONET_TXT" rel="nofollow">Optimize your SAP applications with Novell and VMware solutions - </a></li><li><!--impression:--><a target="_new" href="http://ad.doubleclick.net/clk;212530864;7406810;a?http://www.mkssoftware.com/eval/default.asp?distrib=InfoWorld" rel="nofollow">Harmonize your mixed Computing Environments with MKS Toolkit - </a></li><li><!--impression:--><a target="_new" href="http://ad.doubleclick.net/clk%3b212292448%3b7406810%3bd?http://clk.atdmt.com/MRT/go/136522619/direct/01/" rel="nofollow">From Data Center to Desktop, Microsoft Virtualization delivers - </a></li><li><!--impression:--><a target="_new" href="http://ad.doubleclick.net/clk;212042872;7406810;x?http://ad.doubleclick.net/click;h=v2|3AAB|0|0|%2a|l;212050129;0-0;0;33453867;31-1|1;30304738|30322615|1;;%3fhttp://www.sun.com/storage/disk_systems/unified_storage/index.jsp?cid=927035" rel="nofollow">The Sun Unified Storage Systems.  Storage made simple, just when you need it most.  Get a 60-day free trial then buy at 20% off.  Try It Now. - </a></li><li><!--impression:--><a target="_new" href="http://ad.doubleclick.net/clk;211234718;7859937;u?http://ad.doubleclick.net/clk;212240455;33635926;b?http://www.cdw.com/default.aspx?Seg=13&cm_mmc=MedLar%20Brand-_-InfoWorld-_-Textlink-_-Textlink" rel="nofollow">VISIT CDW.com TODAY FOR ALL YOUR TECHNOLOGY NEEDS. - </a></li>
		</ul>
	</span><!--end span f-left-->

	<span class="f-right">
		<ul>
			<li><!--impression:--><a target="_new" href="http://ad.doubleclick.net/clk;211354482;7406810;z?http://ad.doubleclick.net/clk;211360177;32900686;b" rel="nofollow"><img src="http://ad.doubleclick.net/ad/N5072.infoworld.com/B3398876.2;sz=1x1;ord=%n?" width="1" height="1" />Real-time, reporting:  Try Free 60 day trial now - </a></li><li><!--impression:--><a target="_new" href="http://ad.doubleclick.net/clk;210922035;7406810;t?http://www.tripwire.com/whitepaper/?wpid=9812&djinn=OM20090106-1" rel="nofollow">File Integrity Monitoring: Prove compliance and secure your IT environments - </a></li><li><!--impression:--><a target="_new" href="http://w.on24.com/r.htm?e=125913&s=1&k=EA0F552149DD2CDD5AF6EE91EDCDB7E0&partnerref=ifwsite" rel="nofollow">Oracle - Top 3 Ways to Cut Costs in 2009 with Oracle Content Management</a></li><li><!--impression:--><a target="_new" href="http://www.accelacomm.com/jlp/textlink/13/50091480/&ord=9861080" rel="nofollow">Oracle - Performance Monitor: ERP at the Speed of Light</a></li><li><!--impression:--><a target="_new" href="http://ad.doubleclick.net/clk;206044675;17422667;i?http://clk.atdmt.com/MRT/go/nfwrlitp0600010561mrt/direct/01/" rel="nofollow">Microsoft - Learn about the software-based VoIP solution from Microsoft.</a></li><li><!--impression:--><a target="_new" href="http://www.accelacomm.com/jlp/textlink/13/50088406/&ord=6027342" rel="nofollow">Oracle - Nucleus Report: Who's ready for SMB?</a></li>
		</ul>
	</span><!--end span f-right-->
</div><!--end div sponsorship -->
   


<!-- BOT NAVBAR -->
<div class="footer f-left">
	
	<!-- BOT NAV -->
	<div class="menu-box">
		<ul>
			<li><a href="http://www.infoworld.com/">HOME</a></li>
			<li><a href="http://www.infoworld.com/news/">NEWS</a></li>
			<li><a href="http://weblog.infoworld.com/">BLOGS</a></li>
			<li><a href="http://www.infoworld.com/weblog/podcasts/new_podcasts_index.html">PODCASTS</a></li>
			<li><a href="http://www.infoworld.com/video/">VIDEOS</a></li>
			<li><a href="http://www.infoworld.com/techindex/">TECHNOLOGIES</a></li>
			<li><a href="http://www.infoworld.com/testcenter/">TEST CENTER</a></li>
			<li><a href="http://www.infoworld.com/evt_hom.html">EVENTS</a></li>
		</ul>
		<ul class="list-r">
			<li><a href="http://www.infoworld.com/about/">About</a></li>
			<li><a href="http://www.infoworld.com/advertise/">Advertise</a></li>
			<li><a href="http://www.infoworld.com/awards/">Awards</a></li>
			<li><a href="http://www.infoworld.com/rss/">RSS</a></li>
			<li class="last"><a href="http://www.infoworld.com/about/abt_con.html">Contact Us</a></li>
		</ul>
	</div><!--end div menu-box-->

	<!-- CORPORATE LINKS -->
	<div class="corporate">
		<p>
			&copy; 1994 - 2009, InfoWorld  Inc., <a href="http://www.infoworld.com/about/abt_cpy.html">Reprints, Permissions, Licensing,</a>
			<a href="http://www.infoworld.com/about/idg_network.html">IDG Network,</a>
			<a href="http://www.infoworld.com/about/abt_prv.html">Privacy Policy,</a>
			<a href="http://www.infoworld.com/about/terms.html">Terms of Service</a>.<br />
			All Rights reserved. InfoWorld is a leading publisher of technology information and product reviews on topics including viruses,<br />phishing, worms, firewalls, security, servers, storage, networking, wireless, databases, and web services.
		</p>
		<ul class="bot-menu">
			<li><a href="http://www.cio.com/">CIO</a>&nbsp;&nbsp;::</li>
			<li><a href="http://www.computerworld.com/">ComputerWorld</a>&nbsp;&nbsp;::</li>
			<li><a href="http://www.csoonline.com/">CSO</a>&nbsp;&nbsp;::</li>
			<li><a href="http://www.demo.com">DEMO</a>&nbsp;&nbsp;::</li>
			<li><a href="http://www.gamepro.com/">GamePro</a>&nbsp;&nbsp;::</li>
			<li><a href="http://www.gamestar.com/">Games.net</a>&nbsp;&nbsp;::</li>
			<li><a href="http://www.idc.com">IDC </a>&nbsp;&nbsp;</li>
			<br />
			<li><a href="http://www.idg.com">IDG</a>&nbsp;&nbsp;::</li>
			<li><a href="http://www.idgconnect.com">IDG Connect</a>&nbsp;&nbsp;::</li>
			<li><a href="http://www.idgknowledgehub.com">IDG Knowledge Hub</a>&nbsp;&nbsp;::</li>
			<li><a href="http://www.idgtechnetwork.com">IDG TechNetwork</a>&nbsp;&nbsp;::</li>
			<li><a href="http://www.idgventures.com">IDG Ventures</a>&nbsp;&nbsp;</li>
			<br />
			<li><a href="http://idg.net">IDG.net</a>&nbsp;&nbsp;::</li>
			<li><a href="http://www.infoworld.com/">InfoWorld</a>&nbsp;&nbsp;::</li>
			<li><a href="http://www.itworld.com/">IT World</a>&nbsp;&nbsp;::</li>
			<li><a href="http://www.javaworld.com/">JavaWorld</a>&nbsp;&nbsp;::</li>
			<li><a href="http://www.linuxworld.com/">LinuxWorld</a>&nbsp;&nbsp;</li>
			<br />
			<li><a href="http://www.macworld.com/">Macworld</a>&nbsp;&nbsp;::</li>
			<li><a href="http://www.networkworld.com/">Network World</a>&nbsp;&nbsp;::</li>
			<li><a href="http://www.pcworld.com/">PC World</a>&nbsp;&nbsp;::</li>
			<li><a href="http://www.thestandard.com">Industry Standard</a>&nbsp;&nbsp;</li> 
		</ul>
	</div><!--end div corporate-->
</div><!--end div footer f-left-->


<!-- Start Quantcast tag -->
<script type="text/javascript" src="http://edge.quantserve.com/quant.js"></script>
<script type="text/javascript">
_qacct="p-25K88fxDSEn9Y";quantserve();</script>
<noscript>
<a href="http://www.quantcast.com/p-25K88fxDSEn9Y" target="_blank"><img src="http://pixel.quantserve.com/pixel/p-25K88fxDSEn9Y.gif" style="display: none" border="0" height="1" width="1" alt="Quantcast"/></a>
</noscript>
<!-- End Quantcast tag -->

<!-- Start Google Analytics -->
<script src="http://www.google-analytics.com/urchin.js" type="text/javascript">
</script>
<script type="text/javascript">
_uacct = "UA-503159-6";
urchinTracker();
</script>
<!-- End Google Analytics -->


			</div><!--end div page-->
		</div><!--end div container-->
		
<div>
<!-- PRESTITIAL AD (tile=18) -->
<script language="JavaScript" type="text/javascript">
document.write('<script language="JavaScript" src="http://ad.doubleclick.net/adj/idg.us.info.prestitial/;pos=survey;tile=18;dcopt=ist;sz=1x1;ord=' + ord + '?" type="text/javascript"><\/script>');
</script>
<noscript>
<a href="http://ad.doubleclick.net/jump/idg.us.info.prestitial/;pos=survey;tile=18;sz=1x1;ord=485711100309?" target="_blank">
<img src="http://ad.doubleclick.net/ad/idg.us.info.prestitial/;pos=survey;tile=18;sz=1x1;ord=485711100309?" width="1" height="1" border="0" alt="">
</a>
</noscript>
</div>



<script src="http://js-kit.com/comments-count.js"></script>

	</body>
</html>


Reproducible: Always

Steps to Reproduce:
1.clicked on link from newsletter <newsletters@ifwnewsletters.newsletters.infoworld.com>
2.long delay after new tab is opened
3.browser crashes, "session manager extension" restarts browser session without
site in tab
Actual Results:  
browser  is taken  down completely

Expected Results:  
opened  site in new browser tab

none, minor inconvenience
Comment 1 Dave Garrett 2009-03-10 12:28:03 PDT
Don't paste giant blobs like this into bugs. Attach them, if need be. (and you didn't need to do anything but link to it, in this case) Also, crashes are never minor; crashes are all critical.

I see no problems. (tested with 3.0.7 on WinXP/Linux & 3.1b4pre on Linux)

Please post your crash ID:
https://developer.mozilla.org/en/How_to_get_a_stacktrace_for_a_bug_report
Comment 2 Mats Palmgren (:mats) 2009-03-10 20:39:37 PDT
I can reproduce it reliably: bp-a9c6b9b7-d67a-4146-8ace-ad4322090310
If it doesn't happen at once, try clearing cookies and reload, the
crash seems to be caused by a popup window that only opens occasionally.
Maybe dupe of bug 469366?
Comment 3 Samuel Sidler (old account; do not CC) 2009-03-11 08:16:59 PDT
Might be a dupe, but if we have good STR here, we should keep it open for now. I just hijacked that one based on the stack.

Mats, can you reduce the testcase at all?
Comment 4 Mats Palmgren (:mats) 2009-03-11 10:48:33 PDT
Making a testcase by reducing the content from the URL looks hard.
I grabbed the content involved and it has 14000 lines of JS,
I looked briefly at some of it and it's hairy...

I think what happens is that during page load a new window (a survey)
is opened (in the absence of a cookie), while this happens the main
window content is replaced with an ad that has a timer, after a few
seconds the normal main window content is presented again.
It looks like the crash occurs when the main window transitions from
normal content to ad content.

I can't reproduce the crash in current Firefox trunk or 1.9.1 builds
(on Linux i686), nor in a trunk debug build (Linux x86_64).
What's more surprising is that I can't reproduce the crash in a
1.9.0 Firefox debug build (Linux x86_64), but nightly builds (i686)
crashes reliably.  I think that's because the bug is timing dependent
rather than being 32-bit only.  All of the above with the same profile,
which has Firebug installed and enabled.  If I disable Firebug in this
profile I can't reproduce the crash.  I can't reproduce the crash in
a clean profile either (after allowing the popup window to open).
Bug 469366 also mentions Firebug... again, this could be that Firebug
affects the timing somehow rather then being the direct culprit.

So, the profile requirements for crashing: Firebug + allow popup windows.

BTW, I see the following assertions in all debug builds tested above
(also on trunk) when the popup window opens:

###!!! ASSERTION: Already have an undisplayed context entry for aContent: '!GetUndisplayedContent(aContent)', file layout/base/nsFrameManager.cpp, line 588
###!!! ASSERTION: Shouldn't happen: 'aPresContext->GetPresShell()->GetPrimaryFrameFor(mContent) == this', file layout/generic/nsFrameFrame.cpp, line 501
###!!! ASSERTION: Already have an undisplayed context entry for aContent: '!GetUndisplayedContent(aContent)', file layout/base/nsFrameManager.cpp, line 588

the middle one in nsFrameFrame.cpp could be related...
Comment 5 Mats Palmgren (:mats) 2009-03-11 10:49:07 PDT
John Senchak, please tell us which Firefox add-ons you have.
(Tools-> Add-ons -> Extensions)
Comment 6 Mats Palmgren (:mats) 2009-03-11 10:59:14 PDT
Actually, the reason trunk/1.9.1 doesn't crash could be that Firebug was
automatically disabled since it's "incompatible"... I'll try with Firebug
1.4 alpha...
Comment 7 john senchak 2009-03-11 11:09:11 PDT
My Fire Fox  3.07  extensions:

Session Manger
Gmail Ad Blocker
Gui:Config
Header Spy
I-Micro
Location Bar two
Router Status
ShowIP
Simple Mail
Status Bar Ex
Tweak Network
Firefly
FEBU (extension backup)
Faster-Fox 
External-IP
Data Analytics 
Better Privacy <---could be blocking cookie in site
ShockWave Flash
Comment 8 Mats Palmgren (:mats) 2009-03-11 11:12:12 PDT
Created attachment 366851 [details]
Stacks for the assertions in comment 4

Note that the stack for the middle assertion is the same as the crash stack!
Comment 9 john senchak 2009-03-11 11:17:12 PDT
[Calcification on Firefox 3.07 take down] 

This occurred  when a link in  a email newsletter from InfoWorld Daily was
opened in Gmail. When opening the below link in Gmail,  a new tab is opened
when first link link is opened:

Is IE8 the end of the line for Internet Explorer?
http://ifwnewsletters.newsletters.infoworld.com/t/4523793/121893644/174360/0/

Then redirects to:

http://weblog.infoworld.com/enterprisedesktop/archives/2009/03/is_version_8_th.html?source=NLC-DAILY&cgd=2009-03-10

It seems that when the direct happens your  are shown a advertisement page
first before you are brought to the second link.  I tried this using Internet
Explorer and was shown the advertisement before the main page was loaded. I
just  tried opening the first link in in Gmail and once again Firefox 3.07 was
taken down. I believe that the actual advertisement page or pop up ad may have
some malice code which is what took down the browser.

I looked at the email newsletter source code and didn't find anything that
looked out of the normal

I tried looking at the source code of the advertisement page but couldn't
because after a certain amount of time (less then a minute), your are
redirected to the second link.

Kind of odd that the news story is about Explorer  8 and it takes down Firefox?
Comment 10 Mats Palmgren (:mats) 2009-03-11 11:23:04 PDT
firebug-1.4.0a12.xpi does not work in Firefox 1.9.1 or trunk, so it's still
unknown if the crash would occur there...  the error is:
JavaScript error: chrome://browser/content/browser.xul, line 1: Firebug is null
Comment 11 Mats Palmgren (:mats) 2009-03-11 11:27:29 PDT
John, if you can try Firefox 3.1b4pre that would help us:
http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/latest-mozilla-1.9.1/firefox-3.1b4pre.en-US.win32.zip
just unzip it into an empty directory and start it from there.
If you do then please list the add-ons again -- some of them might
have been disabled for compatibility reasons when running in 3.1b4.
Comment 12 Mats Palmgren (:mats) 2009-03-11 11:47:36 PDT
... or if can run with Firefox 3.0.7 and disable your add-ons one by one
and then restart Firefox and try to crash it, that would help to determine
which add-on is causing the crash in your case.
I'll try to install the add-ons you have too...
Comment 13 Mats Palmgren (:mats) 2009-03-11 13:19:40 PDT
The add-on "Header Spy 1.3.3" is sufficient to trigger the crash in 1.9.0,
it's incompatible with 1.9.1 and trunk though.
Comment 14 Mats Palmgren (:mats) 2009-03-11 13:26:26 PDT
... but still can't crash a 1.9.0 debug build
Comment 15 Mats Palmgren (:mats) 2009-03-11 18:34:26 PDT
Created attachment 366962 [details]
Crash stack, 1.9.0 debug on MacOSX

Finally got it to crash in a debug build, 1.9.0 on MacOSX with Firebug 1.3.3.

There's an additional assertion (to the ones in comment 4):
###!!! ASSERTION: What's going on?: 'mInnerView', nsFrameFrame.cpp, line 855
Comment 16 john senchak 2009-03-12 09:59:00 PDT
I installed Firefox build # "3.1b4pre" and tried about 10 times and could not crash the browser. I even tried deleting the cookies and the crash didn't occur.  I did not install any extensions, and Fire-Bug can't be installed on that version which was already stated here.  Disabling each extension and retrying  to recreate the crash will take some time. Might try do this on Monday 03/16.   john@antihotmail.com
Comment 17 Taral 2009-03-12 15:34:38 PDT
Copying from bug 469366 comment 9 to here:

Repeatable crash on Firefox 3.0.7 with Firebug 1.3.3:
http://crash-stats.mozilla.com/report/index/8c80707a-856a-4e53-b8e2-42cc02090310

Repro steps:
1. Enable Firebug
2. Visit any product page on target: http://www.target.com/dp/B0000E60TV
3. Make sure you are not signed in
4. Click Add to Club Wedd
Comment 18 Samuel Sidler (old account; do not CC) 2009-03-16 14:14:02 PDT
*** Bug 469366 has been marked as a duplicate of this bug. ***
Comment 19 Samuel Sidler (old account; do not CC) 2009-03-16 14:14:58 PDT
Not blocking 1.9.0.8 since code freeze is tomorrow, but this is currently our #1 topcrash.

Mats, can you work on this?
Comment 20 Samuel Sidler (old account; do not CC) 2009-03-16 14:15:38 PDT
And we're going to block on this for 1.9.0.9.
Comment 21 Mats Palmgren (:mats) 2009-03-16 21:03:36 PDT
Yes, I think I see what the problem is now...
Comment 22 john senchak 2009-03-17 12:13:18 PDT
experimenting  with FireBug 1.3.3 ,very Nice extension
Comment 23 Mats Palmgren (:mats) 2009-03-17 17:29:21 PDT
Created attachment 367928 [details]
log + stacks (mozilla-central OSX, content/base/ mochitests)

The bug also occur on trunk.  It's the content sink that notifies
content that has already been notified on, leading to
nsCSSFrameConstructor::ContentAppended for content that already has
a frame in the frame tree.  It seems that trunk is quite resilient to
this and doesn't crash (never?), but 1.9.0 crashes reliably when the
content node is an <iframe> (as in the STR in this bug).
On trunk, the problem occurs for example when running (all) mochitests
under content/base/ -- it leads to double frame creation for the <div>
in test_bug338679.html, but loading this test directly doesn't trigger it.

(do we have bugs open on "content doubling"?)

The attached trace is from such a mochitest run on trunk.
The first content and frame dump is from the shell InitialReflow.
After that the sink is what I call "clean" (mNumFlushed == childCount on
all stack levels, ie. FlushTags() wouldn't notify anything if called).
Then we run some script, leading to ContentRemoved/Appended/Inserted...
at some point the child count grows beyond what the sink's mNumFlushed
(I log this as "dirty").  The problem seems to be that we never reach
any UpdateChildCounts()...  I'm guessing this should occur in
nsContentSink::EndUpdate on the outermost level?
http://mxr.mozilla.org/mozilla-central/source/content/base/src/nsContentSink.cpp#1674
but we reach FlushTags() before that, which notifies... see the stack
at the end.
Comment 24 Mats Palmgren (:mats) 2009-03-17 17:42:18 PDT
For the record I noted that in nsContentSink::ContinueInterruptedParsingAsync()
we don't check if there is a pending event... 
http://mxr.mozilla.org/mozilla-central/source/content/base/src/nsContentSink.cpp#1760
... (because there are consecutive WillInterrupt() calls without a 
WillResume() call) not sure how much a problem that is... fixing it
did not help with notification problem described above.
Comment 25 Jordan Gutterman 2009-03-17 23:39:43 PDT
Perhaps a regression from bug 448564 could be causing this to be a new topcrash on branch, since that landed there not too long ago and was also about double-notifying in the content sink. Actually, looking closer, one of the assertion in comment 4 here is also in comment 1 of that bug in the same function we're crashing in.
Comment 26 Boris Zbarsky [:bz] (still a bit busy) 2009-03-18 06:58:31 PDT
> It seems that trunk is quite resilient to this and doesn't crash (never?)

It can be made to if one tries hard enough.  If not on page load, then on page unload.

> it leads to double frame creation for the <div> in test_bug338679.html

Right.  That makes sense given your stacks.  That said, is that what the original page was seeing?  Your debug log is pretty specific to having a mutation listener that modifies the DOM (and I was sure we had a bug on this already, fwiw... I certainly remember talking to sicking about this), and I doubt that the site this was filed on is doing that.

> I'm guessing this should occur in nsContentSink::EndUpdate on the outermost
> level?

I think we should be updating child counts from all updates started from inside a mutation listener.  Perhaps what we should really be doing is UpdateChildCounts any time we get an EndUpdate and there are no script blockers about?  Except of course EndUpdate happens before we remove script blockers, on trunk...
Comment 27 john senchak 2009-03-18 12:01:27 PDT
When  Better Privacy Extension 1.24 is disabled using Firefox 3.07 the browser
does not crash. :--)  Ten attempts to create crash with above extension 
disabled.  Sorry for the delay, I had to learn how to us FireBug.

Bugzilla reports these errors: (console)

--------------------
PopAd is null
http://ad.doubleclick.net/adj/idg.us.info.peelback/;pos=peelback;tile=14;dcopt=ist;sz=1x1;ord=2335188695488163?
Line 4

PopAd is null
;pos=peelback;tile=14;dcopt=ist;sz=1x1;ord=6342682879327702?()();pos=pee...79327702? (line 4)
[Break on this error] PopAd.blur();

--------------------

Permission denied to call method Location.toString
http://m1.2mdn.net/879366/globalTemplate_25_06.js
Line 474

Permission denied to call method Location.toString
m()()K9mPiejf...fYA%3D%3D (line 1)
eval()()1bHtly8N...Gaw%3D%3D (line 1)
m()()K9mPiejf...fYA%3D%3D (line 1)
m()()K9mPiejf...fYA%3D%3D (line 1)
m()()K9mPiejf...fYA%3D%3D (line 1)
diggthis.php?u=http%3A//weblog.infoworld.com/enterprisedesktop/archives/2009/03/is_version_8_th.html&t=Is%20IE8%20the%20end%20of%20the%20line%20for%20Internet%20Explorer%3F&w=new&b=Dropping%20IE%20in%20favor%20of%20a%20newer%20rendering%20engine%20may%20be%20not%20be%20as%20easy%20as%20it%20seems&m=news&c=tech_news()()

--------------------

Permission denied to call method Location.toString
Line 0

--------------------
Comment 28 Boris Zbarsky [:bz] (still a bit busy) 2009-03-18 12:25:30 PDT
Huh, weird.  I see nothing obvious in BetterPrivacy that would cause crashes....
Comment 29 Mats Palmgren (:mats) 2009-03-18 21:30:07 PDT
(In reply to comment #25)
> Perhaps a regression from bug 448564 could be causing this...

That bug touches the relevant code, but didn't directly cause the
regression AFAICT.  For the STR in comment 17 with Firefox 3.0.7pre
MacOSX and Linux i686 nightly builds, I get the regression range
2009-02-03-04 -- 2009-02-04-04:
http://hg.mozilla.org/mozilla-central/pushloghtml?startdate=2009-02-03+00%3A00&enddate=2009-02-04+05%3A00
None of the checkins in that range looks suspicious to me though,
so maybe a combination of bug 448564 and something in this range?

(Linux builds are less crashy at the Infoworld URL today, so no reliable
range there yet, only data point so far is that 2009022204 crashes).
Comment 30 Mats Palmgren (:mats) 2009-03-18 21:32:37 PDT
(In reply to comment #26)
> That said, is that what the original page was seeing?

Yes, the STR in comment 17 leads to FC::ContentAppended with an existing
frame too, on both trunk and 1.9.0, with the same stack, but this stack
is different from the one in attachment 367928 [details] (for the mochitest run).

For the mochitest stack, it looks like the problem is at this point:

#51 0x120f6ccb in nsEventDispatcher::Dispatch
#52 0x120548f7 in nsGenericElement::SetAttrAndNotify

Dispatch() is called in the same scope as the mozAutoDocUpdate:
http://mxr.mozilla.org/mozilla-central/source/content/base/src/nsGenericElement.cpp#4284
which is the cause for the "missing" UpdateChildCounts().
Adding a scope around the first part of the method so that firing the
mutation event is outside seems to fix that problem... I can now run
a full mochitest run without any existing frames in FC::ContentAppended.
Comment 31 Mats Palmgren (:mats) 2009-03-18 21:35:30 PDT
Created attachment 368195 [details] [diff] [review]
WIP, fixes the mochitest problem as described in comment 30 (diff -w)
Comment 32 Mats Palmgren (:mats) 2009-03-18 21:40:01 PDT
Created attachment 368196 [details]
Trunk stack (same in 1.9.0) for existing frame in ContentAppended with STR in comment 17 (target.com)
Comment 33 Boris Zbarsky [:bz] (still a bit busy) 2009-03-18 21:47:11 PDT
Hmm.  We aren't in an update in that last stack, are we?  At least not that I can see...

As for mutation events, they generally fire inside updates as I recall.  That patch fixes the attr modification case, but the ones for content insertion, etc, fire inside updates too...
Comment 34 Daniel Veditz [:dveditz] 2009-04-10 10:18:31 PDT
This has been getting a lot of reports on SUMO -- any news? Looks kinda dead in here. Should we unhide the bug so the people who were adding their stacks/info to bug 469366 can add them here?
Comment 35 Boris Zbarsky [:bz] (still a bit busy) 2009-04-14 06:59:52 PDT
So maybe the right thing to do is:

1) When removing removable script blockers, set a flag.
2) If a mutation happens in a document while the flag is set, add the document to
   a list.
3) When restoring removable script blockers, update child counts on content sinks
   for all documents in the list.

Jonas, Olli, what do you think of that approach?
Comment 36 Olli Pettay [:smaug] 2009-04-19 05:55:42 PDT
Sounds pretty ugly, but worth to try.

Does it help with:
> Hmm.  We aren't in an update in that last stack, are we?  At least not that I
> can see...
Comment 37 Boris Zbarsky [:bz] (still a bit busy) 2009-04-19 07:06:23 PDT
I think so; that stack was to the point where we create the frame the second time; the goal is to have child counts updated sometime before that.
Comment 38 Olli Pettay [:smaug] 2009-04-19 07:27:48 PDT
Right.
I wonder how to detect "If a mutation happens in a document while the flag is set". I guess you want to add something to Begin/EndUpdate?
Comment 39 Boris Zbarsky [:bz] (still a bit busy) 2009-04-19 07:45:21 PDT
Or to our existing mutation-tracker.
Comment 40 Dave Garrett 2009-05-05 07:40:42 PDT
*** Bug 490187 has been marked as a duplicate of this bug. ***
Comment 41 Dave Garrett 2009-05-08 08:01:57 PDT
*** Bug 491498 has been marked as a duplicate of this bug. ***
Comment 42 [:Cww] 2009-06-03 11:39:04 PDT
What's the best workaround (for users for now)?  (We're putting together crash KB articles)

Safemode/disable extensions?  Use noscript/adblock to disable javascript on bad sites?  Nothing?
Comment 43 Boris Zbarsky [:bz] (still a bit busy) 2009-06-03 12:38:06 PDT
Disabling js is the way to avoid this crash.
Comment 44 Matthew Middleton (:zzxc) 2009-06-03 14:29:36 PDT
A user on SUMO live chat was able to reproduce this by:
1. Go to http://www.cars.com
2. Search for a used Ford Fusion in zip code 46032
3. Click on a specific car to view details
4. Press the Back button
5. Repeat steps 3-4 several times, going between cars

These steps were able to crash Firefox with this stack during the chat session.

This user's crash reports: bp-c4d1301c-88d3-41f6-8cde-ff5352090603 bp-fa431e08-4ec8-4d65-beeb-3d0062090602 bp-44539fc2-351d-45fc-9bf6-50aa62090602
Comment 45 Samuel Sidler (old account; do not CC) 2009-06-16 07:59:01 PDT
Mats: Any work on this bug? It's still the #1 topcrash for Firefox 3.0.x...
Comment 46 Samuel Sidler (old account; do not CC) 2009-06-23 08:08:48 PDT
roc: Please find someone to work on this 1.9.0 blocker. We clearly can't take it for 1.9.0.12 now, but this is a topcrash, a security issue, and a commonly seen issue by our users and it needs attention from (right now) someone on the layout team.
Comment 47 Robert O'Callahan (:roc) (email my personal email if necessary) 2009-06-23 12:17:25 PDT
From the comments, sounds like this is a content sink problem.

Olli is probably the best person to take it.
Comment 48 Samuel Sidler (old account; do not CC) 2009-06-23 13:14:45 PDT
Olli, can you spend some time on this for 1.9.0.13?
Comment 49 Olli Pettay [:smaug] 2009-06-24 15:11:24 PDT
(In reply to comment #29)
> For the STR in comment 17 with Firefox 3.0.7pre
> MacOSX and Linux i686 nightly builds, I get the regression range
> 2009-02-03-04 -- 2009-02-04-04:
> http://hg.mozilla.org/mozilla-central/pushloghtml?startdate=2009-02-03+00%3A00&enddate=2009-02-04+05%3A00

I don't get this. FF3 isn't in hg.
Comment 51 Olli Pettay [:smaug] 2009-06-25 07:26:07 PDT
Created attachment 385101 [details] [diff] [review]
possible patch
Comment 52 Olli Pettay [:smaug] 2009-06-25 07:27:43 PDT
Created attachment 385102 [details] [diff] [review]
a stack
Comment 53 Olli Pettay [:smaug] 2009-06-25 07:29:37 PDT
Created attachment 385104 [details]
a stack
Comment 54 Olli Pettay [:smaug] 2009-06-25 09:12:12 PDT
Comment on attachment 385101 [details] [diff] [review]
possible patch

Boris, Jonas, any comments to this.
Allow sink (but not layout) to be flushed, even though there are script blockers. This brings back the old behavior.
Other option would be to postpone iframe initialization, but that might be a bit more riskier change.
Comment 55 Boris Zbarsky [:bz] (still a bit busy) 2009-06-25 09:13:53 PDT
So would that patch be 1.9.0 branch only, since we do have delayed init on trunk, iirc?
Comment 56 Olli Pettay [:smaug] 2009-06-25 09:18:10 PDT
We do the same thing on trunk too.
FrameLoader init is delayed, but not the nsSubDocumentFrame init :(
Comment 57 Olli Pettay [:smaug] 2009-06-25 09:19:33 PDT
Test 1.9.0 builds are here https://build.mozilla.org/tryserver-builds/opettay@mozilla.com-ps_sblocker_2/
Comment 58 Boris Zbarsky [:bz] (still a bit busy) 2009-06-25 09:27:43 PDT
Hmm.  So looking at that last stack, that just shows where we end up flushing during scriptblocker, right?  And the key is that we're flushing content on the subframe and need to get that right per the document viewer comments, but there is a script blocker in the parent document, right?

It does seem like the right way to do this is to move the ShowDocShell() off on a script runner, but I can understand not wanting to do this for 1.9.0 or 1.9.1 at this point....  I assume we can still do that in a followup on trunk?  Or just get rid of sink flushing altogether, better yet.
Comment 59 Olli Pettay [:smaug] 2009-06-25 09:35:06 PDT
(In reply to comment #58)
> Hmm.  So looking at that last stack, that just shows where we end up flushing
> during scriptblocker, right?
right.

> And the key is that we're flushing content on the
> subframe and need to get that right per the document viewer comments, but there
> is a script blocker in the parent document, right?
Right

> I assume we can still do that in a followup on trunk?  Or
> just get rid of sink flushing altogether, better yet.
Either way, but yes.
Comment 60 Boris Zbarsky [:bz] (still a bit busy) 2009-06-25 13:45:49 PDT
OK.  Patch looks ok with the following caveats:

1)  Don't do the PostReflowEvent in DidCauseReflow.  That'd actually break things
    on trunk, I think.
2)  Use the nsAutoCauseReflowNotifier in VerifyIncrementalReflow.  
3)  File a bug on removing this stuff once we no longer have sink flushes (and
    mark dependent on the bug on removing those; check with Henri for the bug#
    and whether we have one).
Comment 61 Olli Pettay [:smaug] 2009-06-25 14:03:21 PDT
Created attachment 385216 [details] [diff] [review]
+comments
Comment 62 Olli Pettay [:smaug] 2009-06-25 14:19:11 PDT
Created attachment 385221 [details]
for trunk
Comment 63 Olli Pettay [:smaug] 2009-06-28 12:50:05 PDT
Comment on attachment 385216 [details] [diff] [review]
+comments

Either .12 or .13
Comment 64 Olli Pettay [:smaug] 2009-06-28 15:20:06 PDT
http://hg.mozilla.org/mozilla-central/rev/3820403125c2

Marking fixed, since I landed the patch (which fixed the cars.com case) on trunk.
Comment 65 Daniel Veditz [:dveditz] 2009-07-03 21:03:54 PDT
Comment on attachment 385216 [details] [diff] [review]
+comments

Approved for 1.9.0.12, a=dveditz for release-drivers
Comment 66 Samuel Sidler (old account; do not CC) 2009-07-03 21:06:06 PDT
Olli: Thanks for your work on this. We've decided to take it for 1.9.0.12 (as Dan showed above with approval). Please land ASAP as this will make us truly code-complete (and we need to hand off to build in ~2 days).
Comment 67 Olli Pettay [:smaug] 2009-07-04 08:41:49 PDT
Checking in layout/base/nsPresShell.cpp;
/cvsroot/mozilla/layout/base/nsPresShell.cpp,v  <--  nsPresShell.cpp
new revision: 3.1126; previous revision: 3.1125
Comment 68 Samuel Sidler (old account; do not CC) 2009-07-06 20:06:16 PDT
Fixed this in 1.9.0.12, so we should fix it in 1.9.1.1.
Comment 69 Samuel Sidler (old account; do not CC) 2009-07-09 17:28:58 PDT
Comment on attachment 385216 [details] [diff] [review]
+comments

Approved for 1.9.1.1. a=ss for release-drivers.
Comment 70 Olli Pettay [:smaug] 2009-07-14 03:20:37 PDT
Created attachment 388443 [details] [diff] [review]
1.9.1
Comment 72 Henrik Skupin (:whimboo) 2009-07-15 06:36:53 PDT
Olli, I cannot get Firefox 3.5 to crash on any of the given web pages. Can you give me a good example which you have used to reproduce the crash?
Comment 73 Olli Pettay [:smaug] 2009-07-15 06:58:02 PDT
Comment 44 has the steps-to-reproduce which I used when writing the patch.
Comment 74 Olli Pettay [:smaug] 2009-07-15 06:59:10 PDT
Ah, I used 1.9.0.x.
The crash may not happen so easily on 1.9.x
Comment 75 juan becerra [:juanb] 2009-07-15 16:21:53 PDT
If anyone is able to reproduce this crash in Fx3.5, and verify that it doesn't happen in the release candidate for 3.5.1, we would really appreciate it.
Comment 76 Mike Beltzner [:beltzner, not reading bugmail] 2009-07-15 22:25:50 PDT
I tried the steps in comment 44 and wasn't able to reproduce with the 07/15 build of 3.5.1pre - Olli, can you?
Comment 77 Henrik Skupin (:whimboo) 2009-07-16 04:11:37 PDT
(In reply to comment #76)
> I tried the steps in comment 44 and wasn't able to reproduce with the 07/15
> build of 3.5.1pre - Olli, can you?

I tried those steps more then 20 times with Firefox 3.5 but was never able to crash the application. That way I cannot imply that doing the same in 3.5.1.1 means it is fixed for me. :/
Comment 78 Olli Pettay [:smaug] 2009-07-16 05:12:45 PDT
I can't reproduce the crash on 1.9.1.0 but the problem is there.
That I can confirm if I put a printf to the right place which
shows that overstrict PresShell::IsSafeToFlush doesn't allow 
DocumentViewerImpl::InitPresentationStuff to flush.
Comment 79 Samuel Sidler (old account; do not CC) 2009-07-27 18:12:34 PDT
Olli: So this looks mostly fixed (it's no longer #1), but the topcrash is still appearing for some number of users. This stack signature is #16 overall for Firefox 3.0.12 (with far, far fewer crashes than 3.0.11 had). Should I spin a new bug for this or is there something obvious that was missed?
Comment 80 Olli Pettay [:smaug] 2009-07-27 21:33:18 PDT
I think it is better to file a new bug, hopefully with new testcases etc.
Comment 81 Samuel Sidler (old account; do not CC) 2009-08-07 15:40:50 PDT
That new bug would be bug 509132.

Note You need to log in before you can comment on or make changes to this bug.